/*
 * Mandel by Rob Swiston and Chuck Simmons
 * Copyright (C) 1989, 1990 by Rob Swiston and Chuck Simmons
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 1 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * Definitions needed to use the GUI routines.
 */

/*
 * Routines.
 */

void win_flush (/* void *winp */); /* flush pending output */
void win_busy (/* void *winp, int state */); /* change cursor */
void win_draw_colored_line (/* void *winp, int color,
				int x1, int y1, int x2, int y2 */);
void win_render_line (/* void *winp, color_x_t *buf,
				int buflen, int linenum */);
void win_rerender_line (/* void *winp, int linenum */);

/* width and height of window in pixels */
int win_pwidth  (/* void *winp */);
int win_pheight (/* void *winp */);

/* 'real' co-ordinates of upper-left and lower-right of window */
double win_xmin (/* void *winp */);
double win_xmax (/* void *winp */);
double win_ymin (/* void *winp */);
double win_ymax (/* void *winp */);

/* 'real' width and height */
double win_rwidth  (/* void *winp */);
double win_rheight (/* void *winp */);

/* maximum width and height of screen */
int win_max_width (/* void *winp */);
int win_max_height (/* void *winp */);


