# Mandel by Rob Swiston and Chuck Simmons
# Copyright (C) 1989, 1990 by Rob Swiston and Chuck Simmons
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of version 1 of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Define 'VAX_BYTE_ORDER' on mips, vax, sequent, ncube, etc.
# Define CONVEX or IS_370 on appropriate machines.

#CFLAGS = -O -DCONVEX
#CFLAGS = -O -DIS_370
#CFLAGS = -O -DVAX_BYTE_ORDER
CFLAGS = -O

SHIP1FILES=client.c gui.c gui.h mandel.mk
SHIP2FILES=LICENSE hostfile mandel.h mserver.c net.c net.h client.h \
		colormap.data compute.c README

# NCube specific stuff.
NINCLUDES = -I/home/csimmons/ora/6028/port/ncube/standard_def
NCCFLAGS = $(CFLAGS) $(INCLUDES)
NCC=ngcc
ROOT=/usr/lib/ncube2
LIB=$(ROOT)/lib
BIN=$(ROOT)/bin

all: mandel mserver

mandel: client.o gui.o cnet.o
	$(CC) -o $@ client.o gui.o cnet.o -lX11 -lm

mserver: snet.o compute.o mserver.o
	$(CC) -o $@ snet.o compute.o mserver.o

cnet.o: net.c
	$(CC) $(CFLAGS) -DCLIENT -c net.c
	mv net.o cnet.o

snet.o: net.c
	$(CC) $(CFLAGS) -DSERVER -c net.c
	mv net.o snet.o

ship: $(SHIP1FILES) $(SHIP2FILES)
	shar $(SHIP1FILES) > mandel1.shar
	shar $(SHIP2FILES) > mandel2.shar

# Everything below this point is NCube specific.

# compute.o isn't ever executed, but it is needed to resolve a
# reference.  Yucko.

nc_sunserver: nc_sunserver.o snet.o compute.o
	$(CC) -o $@ nc_sunserver.o snet.o compute.o $(LIB)/libncube.a

nc_cubeserver: nc_cubeserver.o nc_get_color.o
	$(NCC) -o $@ nc_cubeserver.o nc_get_color.o

#nc_cubeserver: nc_cubeserver.o nc_mandel_line.o
#	$(NCC) -o $@ nc_cubeserver.o nc_mandel_line.o

nc_cubeserver.o: nc_cubeserver.c
	$(NCC) $(NCCFLAGS) -c nc_cubeserver.c

nc_get_color.o: nc_get_color.s
	$(NCC) -O -c nc_get_color.s

nc_mandel_line.o: nc_mandel_line.c
	$(NCC) $(NCCFLAGS) -c nc_mandel_line.c


