/*
 * Mandel by Rob Swiston and Chuck Simmons
 * Copyright (C) 1989, 1990 by Rob Swiston and Chuck Simmons
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 1 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * Definitions needed when using the 'net' package.
 */

/* Client routine to initiate an asynchronous rpc. */
int net_csend (/*_ int sock, double x_start, double y_start,
			double x_end, int npixels, int max_color _*/);

/* Client routine to get result of an asynchronous rpc. */
int net_crecv (/*_ int sock, color_x_t *buf _*/);

/* Client routine to open a connection. */
int net_copen (/*_ char *host, int port _*/);

/* Server routine to handle requests and respond. */
void net_server (/*_ int sock _*/);

/* Server routine to listen for a client and fork. */
int net_slisten (/*_ int port _*/);

